import { InfiniteScrollGames } from "@/components/InfiniteScroll";
import SearchInput from "@/components/search-input";
import Sort from "@/components/sort-games";

// renders a list of games infinitely (presumably)
export default async function GamesPage() {
    return (
        <main className="relative lg:gap-10 xl:grid xl:grid-cols-[1fr_240px]">
            <div className="grid">
                <div className="flex flex-col gap-10 items-center w-full">
                    <SearchInput className="p-3 lg:w-2/3 2xl:w-1/3" />
                </div>
                <InfiniteScrollGames />
            </div>
            <div className="hidden xl:block flex-col md:flex">
                <div className="sticky top-0">
                    <Sort />
                </div>
            </div>
        </main>
    )
}